using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Diagnostics.CodeAnalysis;

namespace Api.Database.Entities;

[Table("Students")]
public class Student : BaseEntityGuid
{
    [Column("FirstName")]
    [NotNull]
    [MaxLength(50)]
    public string? FirstName { get; set; }

    [Column("LastName")]
    [NotNull]
    [MaxLength(50)]
    public string? LastName { get; set; }

    [Column("AlbumNumber")]
    [NotNull]
    [MaxLength(6)]
    public string? AlbumNumber { get; set; }
}
